# Listo
[![Gem Version](https://badge.fury.io/rb/listo.svg)](https://badge.fury.io/rb/listo)

A Ruby client for the [listo.mx](https://listo.mx/) API.

## Installation

Add this line to your application's Gemfile:

```ruby
gem 'listo'
```

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install listo

## Usage

### Client setup

```Ruby
Listo::Client.configure do |client|
  client.token           = 'LISTO_API_TOKEN'
  client.cert_file       = './path/cert.cer'
  client.pkey_file       = './path/pkey_der.key'
  client.pkey_passphrase = 'passphrase'
  client.debug_mode      = false # default
end
```

### Invoicing

##### Generate XML

```Ruby
Listo::Invoicing.generate_xml(invoice_data)
```

##### Certify XML

```Ruby
Listo::Invoicing.certify_xml(xml, original_chain, data)
```

##### Pay Invoice

```Ruby
params = {
  'amount' => 100,
  'amount_mxn' => 100,
  'effective_on' => '2018-06-19T16:47:00',
  'description' => 'Pago de servicio de limpieza'
}
Listo::Invoicing.pay(list_invoice_id, params)
```

##### Return last 50 invoices

```Ruby
Listo::Invoicing.search
```

For more details checkout the listo.mx [api docs](https://apidocs.listo.mx).
## Development

After checking out the repo, run `bin/setup` to install dependencies. Then, run `rake spec` to run the tests. You can also run `bin/console` for an interactive prompt that will allow you to experiment.

To install this gem onto your local machine, run `bundle exec rake install`. To release a new version, update the version number in `version.rb`, and then run `bundle exec rake release`, which will create a git tag for the version, push git commits and tags, and push the `.gem` file to [rubygems.org](https://rubygems.org).

## Contributing

Bug reports and pull requests are welcome on GitHub at https://github.com/aliada-mx/listo.
